Bug 65136 - ATI Rage 128 (all) lockup when switching from console to X with DRI enabled.
ATI Rage 128 (all) lockup when switching from console to X with DRI enabled.
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: 62474 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-05-17 22:22 EDT by Christopher Blizzard
Modified: 2007-04-18 12:42 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-26 12:50:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Blizzard 2002-05-17 22:22:57 EDT
Description of Problem:

If I switch out of X to a console virtual terminal and then switch back into X,
the X server will hang.  The caps lock key doesn't work and there's a band of
damaged pixels across the top of the screen.

Version-Release number of selected component (if applicable):

Red Hat 7.3.

How Reproducible:

Every time.

Steps to Reproduce:
1. Switch out of X to another virtual console.
2. Switch back to X.

Actual Results:

X hangs.

Expected Results:

X works.

Additional Information:
I see this when I unsuspend the laptop as well with the same symptoms.  This is
a Dell Laptop, a C600.

Here's the output from lspci:

01:00.0 VGA compatible controller: ATI Technologies Inc Rage Mobility M3 AGP 2x
(rev 02)
Comment 1 Christopher Blizzard 2002-05-18 01:39:54 EDT
By the way, this may or may not be related, my desktop machine has the exact
same behaviour.  It's a:

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon 7500 QW
Comment 2 Need Real Name 2002-05-23 14:41:54 EDT
I have the same problem on a Dell Optiplex GX240, lspci:

01:00.0 VGA compatible controller: nVidia Corporation NV15 (Geforce2 GTS) (rev 
a 4) 
Comment 3 ldd 2002-06-01 14:00:21 EDT
I have the same problem with the following card (quoted from /proc/pci): 
VGA compatible controller: ATI Technologies Inc Rage Mobility M3 AGP 2x (rev 
Not only virtual console switching doesn't work but neither gtv nor noatun nor 
plaympeg are able to play MPEG files correctly.  I get can an image but it's  
Now, in trying to fix the problem I discovered that if I don't load the DRI 
driver in XFree86 (comment out the Load "dri" line), both the mpeg and 
switching problems go away. 
None of this happened with RedHat 7.2.
Comment 4 Tomasz Kepczynski 2002-06-10 16:00:41 EDT
I have this problem on Compaq Presario EA2700 with ATI Radeon (I can't check
the exact specs right now - if you need it drop me an email and I'll check it
next week).
It doesn't happen on an old Pentium MMX SMP with Matrox Millenium (VGA
compatible controller: Matrox Graphics, Inc. MGA 2064W [Millennium] (rev 1)).
Both machines are fully updated RedHat 7.3 and the problem didn't exist for
RedHat 7.2.
Comment 5 Alexei Podtelezhnikov 2002-06-11 13:44:11 EDT
I had this problem on Dell C800, until I complied and started to use 1400x1050
resolution. It worked like a charm.
Comment 6 Rick Ellis 2002-07-10 13:19:21 EDT
I have the same problem but only occasionally.  When it does happen the 
system is completely frozen and has to be reset.  The video card 
identifies (via lspci) as ATI Technologies Inc Rage 128 Pro Ultra TF.
Comment 7 Mike A. Harris 2002-07-26 07:52:17 EDT
The Radeon problem is also listed as a master bug for duping against:

Comment 8 Michael Hipp 2002-07-26 08:42:31 EDT
This is a "me too" bug report. Dell Dimension 4300S ATI Rage 128 Ultra 32M.
Comment 9 Mike A. Harris 2002-07-26 10:54:59 EDT
The Radeon VTswitch bugfix is reported as working.  I'm going to dupe
all similar open rage 128 bugs to this one now, and whip up a similar
bugfix for testing.

Stay tuned, don't change that dial.
Comment 10 Mike A. Harris 2002-07-26 12:01:32 EDT
*** Bug 62442 has been marked as a duplicate of this bug. ***
Comment 11 Mike A. Harris 2002-07-26 12:06:50 EDT
This bug is now the master bug for duping similar problems against.
Comment 12 Mike A. Harris 2002-07-26 12:14:41 EDT
Bug #45624 is similar, and might be fixed by the patch for this bug also.
Comment 13 Mike A. Harris 2002-07-26 12:17:05 EDT
Bug #54625 also seems similar to this one and likely the same bug, or
at least fixed by the same fix.
Comment 14 Mike A. Harris 2002-07-26 12:31:54 EDT
*** Bug 62474 has been marked as a duplicate of this bug. ***
Comment 15 Mike A. Harris 2002-07-26 12:50:33 EDT
Ok, XFree86 4.2.0-57 in rawhide will contain the bugfix attempt for this.

A bug fixed driver module is available at the following URL:


Please drop this driver overtop of your existing XFree86 4.2.0 r128 driver
in /usr/X11R6/lib/modules/drivers/r128_drv.o and restart XFree86.

Make sure DRI is enabled in your config file, or this patch does nothing.

Now VTswitch like a crazy madman back and forth.  Pound the crap out
of it.

Let me know if this solves the problem for you ASAP.
Comment 16 Mike A. Harris 2002-07-30 20:19:42 EDT
The new driver in rawhide is reported now by many people as
resolving the problem.  (blizzard reported it working via IRC as well)
Comment 20 Mark J. Cox (Product Security) 2003-06-25 11:52:35 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.